Holger's Java API

## com.antelmann.util
Interface Forgeable<T>

All Known Implementing Classes:
  AddressInfoImpl, CellBorder, CellBorder.Type, ColorPath, DefaultMappingInfo, Email, EzvcardHelper, FTPConnector, GlobalAddress, ImmutableGlobalAddress, ImmutableSnailMailAddress, Logger, POP3Account, POP3Account.Config, SnailMailAddress, Taggable.Adapter

    public interface Forgeable<T>

defines an object that is capable of behaving like another one by applying all properties from the given one to this instance

Since:
  19.11.2008, 12:24:23
Author:
  Holger Antelmann

Method Summary
`void` `setAllFrom(T object)` copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

Method Detail

### setAllFrom

    void setAllFrom(T object)
                    throws NullPointerException,
                           IllegalArgumentException

  copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

  Parameters:
    `object` - the object whose behavior is to be copied to this instance
  Throws:
    `IllegalArgumentException` - if the given object contains properties that for some reason cannot be copied to this instance
    `NullPointerException` - if the given object parameter is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads